Skip to main content
GET
/
subscription
Active Subscription
curl --request GET \
  --url https://api.remapdb.com/v1/subscription \
  --header 'Authorization: Bearer <token>'
{
  "api_key": "string",
  "scopes": [
    "vdb_read"
  ],
  "calls_limit": 3600,
  "created": "2024-12-04T08:05:15+00:00",
  "subscription": {
    "id": 0,
    "start_date": "2024-12-04T08:05:15+00:00",
    "end_date": "2028-12-04T08:05:15+00:00",
    "api_access": true,
    "is_active": true
  }
}

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Response

Success

api_key
string

The API key used as the bearer token in Authorization: Bearer <API_KEY>.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
calls_limit
integer

The maximum number of API requests that can be made within 1 hour.

Example:

3600

created
string<date-time>

ISO 8601 date

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"2024-12-04T08:05:15Z"

scopes
string[]

Array with strings. Contains all the access scopes that this API key has.

Maximum array length: 1000

The name of the access scope.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
subscription
object

Object which contains the subscription information.